Subject: [Fot] Amelia Island. Looking for 2 Triumphs for entry.

From: Joe Alexander <[email-masked]>
Date: Mon, 31 Oct 2016 14:01:27 -0500

FOT,

Bill Warner suggests we put put together a Class of Six Competition Triumphs.

I am looking for 2 or more Show Quality Triumphs for a Class at Amelia Island next March.

We have candidates now, including two of Bill's Triumphs. We need more.

Please forward this message to the FOT list as I am never sure it gets to every one.

(I swore I would not get involved with this. Guess What?)

Thank you very much.

Joe Alexander
645 1st Street
Jesup, IA 50648
The-vintage-racer.com
Gasketinnovations.com
Cell:  319.464.4711
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive